# ifndef _ERRCHK_H
# define _ERRCHK_H

# ifndef _H_STDIO
# include <stdio.h>
# endif

char            dce_error_string[256];
int             error_inq_st;

# define ERRCHK(x)                                                 \
        if ( (x) != error_status_ok ) {                            \
           fprintf( stderr, "%s: error in %s[%d]:", argv[0] ,      \
                            __FILE__ , __LINE__ - 1 );             \
           dce_error_inq_text(x, dce_error_string, &error_inq_st); \
           fprintf(stderr, " %s.\n", dce_error_string);            \
           fflush(stderr);                                         \
           exit ( x );                                             \
        }

# endif
